//
//  AppDelegate.m
//  eHandler
//
//  Created by Admin on 12/2/18.
//  Copyright (c) 2018 Admin. All rights reserved.
//
#import "AppDelegate.h"
@implementation AppDelegate
- (void)dealloc {
    [super dealloc];
}
- (BOOL)acceptsFirstResponder {
    return YES;
}
-(void)keyDown:(NSEvent *)theEvent {
    NSLog(@"#0");
    if ([[theEvent characters] isEqualToString:@"f"]) {
        NSLog(@"#1");
    }
}
- (BOOL)performDragOperation:(id<NSDraggingInfo>)sender {
    NSLog(@"#2");
    NSPasteboard *pboard = [sender draggingPasteboard];
    NSArray *filenames = [pboard propertyListForType:NSFilenamesPboardType];
    
    if (1 == filenames.count) {
        if ([[NSApp delegate] respondsToSelector:@selector(application:openFile:)]) {
            return [[NSApp delegate] application:NSApp openFile:[filenames lastObject]];
        }
    }
    return YES;
}
- (NSDragOperation)draggingEntered:(id<NSDraggingInfo>)sender {
    NSLog(@"#3");
    return NSDragOperationEvery;
}
- (void)draggingExited:(id<NSDraggingInfo>)sender {
    NSLog(@"#4");
}
- (BOOL)prepareForDragOperation:(id<NSDraggingInfo>)sender {
    NSLog(@"#5");
    return YES;
}
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
    // Insert code here to initialize your application
    [self.window registerForDraggedTypes:[NSArray arrayWithObjects:NSFilenamesPboardType, nil]];
}
@end
